org.apache.mina.proxy.handlers

## Class ProxyRequest

- java.lang.Object
- - org.apache.mina.proxy.handlers.ProxyRequest

- Direct Known Subclasses:
    HttpProxyRequest, SocksProxyRequest

      public abstract class ProxyRequest
      extends Object

  ProxyRequest.java - Abstract wrapper class for proxy requests.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyRequest()` Implicit constructor.
    `ProxyRequest(InetSocketAddress endpointAddress)` Basic constructor of a `ProxyRequest` that only sets the address of the request endpoint.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetSocketAddress` | `getEndpointAddress()` Returns the address of the request endpoint.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyRequest

          public ProxyRequest()

      Implicit constructor.

    - #### ProxyRequest

          public ProxyRequest(InetSocketAddress endpointAddress)

      Basic constructor of a `ProxyRequest` that only sets the address of the request endpoint.
      Parameters:
        `endpointAddress` - the address of the request endpoint.

  - ### Method Detail

    - #### getEndpointAddress

          public InetSocketAddress getEndpointAddress()

      Returns the address of the request endpoint.
      Returns:
        the address of the request endpoint

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.